Bug 13949 - Add holding library to item search
Summary: Add holding library to item search
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 11425
Blocks:
  Show dependency treegraph
 
Reported: 2015-04-02 18:08 UTC by Nicole C. Engard
Modified: 2017-12-07 22:17 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 13949 - Item search should have holding library (2.40 KB, patch)
2016-08-18 15:18 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 13949 - Item search should have holding library (2.43 KB, patch)
2016-08-22 23:31 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 13949 - Item search should have holding library (2.49 KB, patch)
2016-08-23 10:30 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2015-04-02 18:08:35 UTC
Right now when you do an item search in the staff client you can only search for home library, we should have the option to search holding library too.

Nicole
Comment 1 HB-NEKLS 2015-04-03 01:53:14 UTC
I was about to look for this very bug report during my testing in 3.18.
Comment 2 Katrin Fischer 2015-04-03 07:16:44 UTC
I think you can configure it to show up additionally, but it won't offer the branches list then - you'd have to search with the branchcode (administration > items search fields)
Comment 3 Katrin Fischer 2015-04-06 20:58:38 UTC
comment#2 was meant a possible workaround - not a fix. Just to be clear :)
Comment 4 Owen Leonard 2016-08-18 15:18:06 UTC Comment hidden (obsolete)
Comment 5 Aleisha Amohia 2016-08-22 23:31:10 UTC Comment hidden (obsolete)
Comment 6 Jonathan Druart 2016-08-23 10:30:51 UTC
Created attachment 54762 [details] [review]
Bug 13949 - Item search should have holding library

This patch adds holding library ("current location") to the list of
fields available in the item search form.

To test, apply the patch and go to Search -> Item search.

- Perform a search using the "current location" option and verify that
  it returns the correct results.
- Try other searches to confirm that they work as before.

Signed-off-by: Aleisha Amohia <aleishaamohia@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Kyle M Hall 2016-09-09 15:15:12 UTC
Pushed to master for 16.11, thanks Owen!